Subject: Re: [PATCH] iwlegacy: remove several redundant variables

From: Kalle Valo <[email-masked]>
Date: Tue, 31 Jul 2018 07:19:27 +0000 (UTC)

Colin King <[email-masked]> wrote:

> From: Colin Ian King <[email-masked]>
> 
> Variables id, unicast, write, conf, a_band, accum_tx and ucode are
> assigned a value but it is never read, hence they are redundant and
> can be removed.
> 
> Cleans up clang warnings:
> warning: variable 'id' set but not used [-Wunused-but-set-variable]
> warning: variable 'unicast' set but not used [-Wunused-but-set-variable]
> warning: variable 'write' set but not used [-Wunused-but-set-variable]
> warning: variable 'conf' set but not used [-Wunused-but-set-variable]
> warning: variable 'a_band' set but not used [-Wunused-but-set-variable]
> warning: variable 'tx' set but not used [-Wunused-but-set-variable]
> warning: variable 'accum_tx' set but not used [-Wunused-but-set-variable]
> warning: variable 'ucode' set but not used [-Wunused-but-set-variable]
> 
> Signed-off-by: Colin Ian King <[email-masked]>
> Acked-by: Stanislaw Gruszka <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

454127ad36fb iwlegacy: remove several redundant variables

-- 
https://patchwork.kernel.org/patch/10519029/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches